# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Static Public Member Functions | List of all members
DBus::ObjectAdaptor::Private Struct Reference

## Static Public Member Functions

static void | unregister_function_stub (DBusConnection *, void *)
static DBusHandlerResult | message_function_stub (DBusConnection *, DBusMessage *, void *)

## Detailed Description

Definition at line 59 of file object.cpp.

## Member Function Documentation

## ◆ message_function_stub()

DBusHandlerResult DBus::ObjectAdaptor::Private::message_function_stub | ( | DBusConnection * | ,
|  | DBusMessage * | dmsg,
|  | void * | data )

static

Definition at line 77 of file object.cpp.

References DBus::debug_log, DBus::Message::destination(), DBus::ObjectAdaptor::handle_message(), DBus::ObjectAdaptor::ObjectAdaptor(), DBus::Object::path(), DBus::Message::sender(), and DBus::Message::serial().

## ◆ unregister_function_stub()

void DBus::ObjectAdaptor::Private::unregister_function_stub | ( | DBusConnection * | conn,
|  | void * | data )

static

Definition at line 72 of file object.cpp.

References DBus::Object::conn().

The documentation for this struct was generated from the following file:

- object.cpp